> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update webhook

> Update webhook

<sup>Required permissions: `webhook:write`</sup>



## OpenAPI

````yaml patch /webhooks/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /webhooks/{id}:
    parameters: []
    patch:
      tags:
        - Webhook
      summary: Update webhook
      description: |-
        Update webhook

        <sup>Required permissions: `webhook:write`</sup>
      operationId: updateWebhook
      parameters:
        - name: id
          in: path
          description: Webhook identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated Webhook resource
        content:
          application/merge-patch+json:
            schema:
              $ref: '#/components/schemas/Webhook-WebhookUpdate'
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/Webhook-WebhookUpdate'
        required: true
      responses:
        '200':
          description: Webhook resource updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook-WebhookRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Webhook-WebhookRead'
          links: {}
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - webhook:write
components:
  schemas:
    Webhook-WebhookUpdate:
      type: object
      description: ''
      deprecated: false
      properties:
        events:
          type: array
          items:
            type: string
        version:
          type: string
        enabled:
          type: boolean
    Webhook-WebhookRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        events:
          type: array
          items:
            type: string
        version:
          type: string
        enabled:
          type: boolean
        url:
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````